Z = [];

for i = 1:length(X_grid)
    for j = 1:length(Y_grid)
        x_grid = X_grid(i);
        y_grid = Y_grid(j);
   
        a = x_grid;b = y_grid;
        Wave_z_compute
      
        Z(j,i) = Wave_z;   
        
        
        
    end
end

